From: =?UTF-8?q?Rog=C3=A9rio=20Theodoro=20de=20Brito?= <rbrito@ime.usp.br>
Date: Thu, 25 Nov 2010 00:00:00 -0200
Subject: Fix manpages
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Remove typos, references in the "See also" sections of the manpages to
commands that are not available in Debian systems (and, quite probably,
other systems too) and non-Linux specific comments.

Authored also by Christoph Hellwig <hch@lst.de> and  "A. Costa" <agcosta@gis.net>

Bug-Debian: http://bugs.debian.org/598714
Bug-Debian: http://bugs.debian.org/575201
Forwarded: no
Reviewed-by: Rogério Theodoro de Brito <rbrito@ime.usp.br>
---
 fsck_hfs.tproj/fsck_hfs.8   | 18 +++++++-----------
 newfs_hfs.tproj/newfs_hfs.8 | 23 ++++++++---------------
 2 files changed, 15 insertions(+), 26 deletions(-)

diff --git a/fsck_hfs.tproj/fsck_hfs.8 b/fsck_hfs.tproj/fsck_hfs.8
index aec9949..0bc804d 100644
--- a/fsck_hfs.tproj/fsck_hfs.8
+++ b/fsck_hfs.tproj/fsck_hfs.8
@@ -19,18 +19,18 @@
 .Dt FSCK_HFS 8
 .Os "Mac OS X"
 .Sh NAME
-.Nm fsck_hfs
+.Nm fsck.hfs
 .Nd HFS file system consistency check
 .Sh SYNOPSIS
-.Nm fsck_hfs
+.Nm fsck.hfs
 .Fl q
 .Op Fl df
 .Ar special ...
-.Nm fsck_hfs
+.Nm fsck.hfs
 .Fl p
 .Op Fl df
 .Ar special ...
-.Nm fsck_hfs
+.Nm fsck.hfs
 .Op Fl n | y | r
 .Op Fl dfgl
 .Op Fl m Ar mode
@@ -52,9 +52,7 @@ The second form of
 preens the specified file systems.
 It is normally started by
 .Xr fsck 8
-run from
-.Pa /etc/rc.boot
-during automatic reboot, when a HFS file system is detected.
+during systen boot, when a HFS file system is detected.
 When preening file systems,
 .Nm
 will fix common inconsistencies for file systems that were not
@@ -105,9 +103,9 @@ to check and repair journaled HFS+ file systems.
 .It Fl g
 Causes
 .Nm
-to generate it's output strings in GUI format.
+to generate its output strings in GUI format.
 This option is used when another application with a graphical user interface
-(like Mac OS X Disk Utility) is envoking the
+(like Mac OS X Disk Utility) is invoking the
 .Nm
 tool.
 .It Fl l
@@ -144,8 +142,6 @@ specified file system for a new catalog file and if there is no damage
 to the leaf nodes in the existing catalog file.
 .El
 .Pp
-Because of inconsistencies between the block device and the buffer cache,
-the raw device should always be used.
 .Sh SEE ALSO
 .Xr fsck 8
 .Sh BUGS
diff --git a/newfs_hfs.tproj/newfs_hfs.8 b/newfs_hfs.tproj/newfs_hfs.8
index d002cc9..fe91962 100644
--- a/newfs_hfs.tproj/newfs_hfs.8
+++ b/newfs_hfs.tproj/newfs_hfs.8
@@ -19,10 +19,10 @@
 .Dt NEWFS_HFS 8
 .Os "Mac OS X"
 .Sh NAME
-.Nm newfs_hfs
+.Nm mkfs.hfs
 .Nd construct a new HFS Plus file system
 .Sh SYNOPSIS
-.Nm newfs_hfs
+.Nm mkfs.hfs
 .Op Fl N Ar [partition-size]
 .Op Fl U Ar uid
 .Op Fl G Ar gid
@@ -37,19 +37,13 @@
 .Op Fl v Ar volume-name
 .Ar special
 .Sh DESCRIPTION
-.Nm Newfs_hfs
+.Nm mkfs.hfs
 builds an HFS Plus file system on the specified special device.
-Before running 
-.Nm newfs_hfs
-the disk should be partitioned using the
-.Em Disk Utility
-application or
-.Xr pdisk 8 .
 .Pp
 The file system default parameters are calculated based on
 the size of the disk partition. Typically the defaults are
 reasonable, however
-.Nm newfs_hfs
+.Nm mkfs.hfs
 has several options to allow the defaults to be selectively overridden.
 The options are as follows:
 .Bl -tag -width Fl
@@ -66,7 +60,7 @@ Set the group of the file system's root directory to
 Specify the access permissions mask for the file system's root directory.
 .It Fl h
 Creates a legacy HFS format filesystem. This option
-is not recomended for file systems that will be
+is not recommended for file systems that will be
 primarily used with Mac OS X or Darwin.
 .It Fl s
 Creates a case-sensitive HFS Plus filesystem. By
@@ -93,7 +87,7 @@ sizes are specified with the
 option followed by a comma
 separated list of the form arg=blocks.
 .Pp
-Example:  -c c=5000,e=500
+Example:  \-c c=5000,e=500
 .Bl -tag -width Fl
 .It Em a=blocks
 Set the attribute file clump size.
@@ -126,7 +120,7 @@ the form arg=bytes. The
 size must be a power of two and no larger than
 32768 bytes.
 .Pp
-Example:  -n c=8192,e=4096
+Example:  \-n c=8192,e=4096
 .Bl -tag -width Fl
 .It Em a=bytes
 Set the attribute b-tree node size.
@@ -139,8 +133,7 @@ Set the extent overflow b-tree node size.
 Volume name (file system name) in ascii or UTF-8 format.
 .El
 .Sh SEE ALSO
-.Xr mount 8 ,
-.Xr pdisk 8
+.Xr mount 8
 .Sh HISTORY
 The
 .Nm
